This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 462883 - (CVE-2008-4129) CVE-2008-4129 gallery2 arbitrary file disclosure
CVE-2008-4129 gallery2 arbitrary file disclosure
Status: CLOSED NEXTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=moderate,source=internet,repor...
: Security
Depends On: 462703 462871 462872 462873
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-19 10:02 EDT by Josh Bressers
Modified: 2009-01-13 10:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-13 10:26:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2008-09-19 10:02:31 EDT
Gallery before 1.5.9, and 2.x before 2.2.6, does not properly handle
ZIP archives containing symbolic links, which allows remote
authenticated users to conduct directory traversal attacks and read
arbitrary files via vectors related to the archive upload (aka zip
upload) functionality.
Comment 1 Fedora Update System 2008-12-13 10:00:51 EST
gallery2-2.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 2 Fedora Update System 2008-12-13 10:02:53 EST
gallery2-2.3-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2008-12-13 10:07:52 EST
gallery2-2.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Jon Ciesla 2009-01-13 10:26:38 EST
Closing, fixed.

Note You need to log in before you can comment on or make changes to this bug.